- Physical Server Management
- Querying Physical Servers
- Managing Physical Servers
- Powering On a Physical Server
- Powering Off a Physical Server
- Powering Off Now a Physical Server
- Refresh a Physical Server
- Restart a Physical Server
- Restart Now a Physical Server
- Restart a Physical Server to System Setup
- Restart Management Controller
- Blink the Identify LED
- Turn On the Identify LED
- Turn Off the Identify LED
Physical Server Management
Management of Physical Servers is available via the following endpoint:
/api/physical_servers
Querying Physical Servers
Querying all physical servers in the system is simply:
GET /api/physical_servers
Getting details on a specific Physical Server:
GET /api/physical_servers/:id
Managing Physical Servers
The following actions are available on Physical Servers:
| Action | Description |
|---|---|
| power_on | Power On |
| power_off | Power Off |
| power_off_now | Power Off Now |
| refresh_now | Refresh |
| restart | Restart |
| restart_now | Restart Now |
| restart_to_sys_setup | Restart to System Setup |
| restart_mgmt_controller | Restart Management Controller |
| blink_loc_led | Blink the Identify LED |
| turn_on_loc_led | Turn On the Identify LED |
| turn_off_loc_led | Turn Off the Identify LED |
Powering On a Physical Server
{
"action" : "power_on"
}
Powering Off a Physical Server
{
"action" : "power_off"
}
Powering Off Now a Physical Server
{
"action" : "power_off_now"
}
Refresh a Physical Server
{
"action" : "refresh"
}
Restart a Physical Server
{
"action" : "restart"
}
Restart Now a Physical Server
{
"action" : "restart_now"
}
Restart a Physical Server to System Setup
{
"action" : "restart_to_sys_setup"
}
Restart Management Controller
{
"action" : "restart_mgmt_controller"
}
Blink the Identify LED
{
"action" : "blink_loc_led"
}
Turn On the Identify LED
{
"action" : "turn_on_loc_led"
}
Turn Off the Identify LED
{
"action" : "turn_off_loc_led"
}